/** \file AudRecordCLI\ETWEvents.cpp
	\brief Defines the AudRecordCLI event provider GUID and 
	includes the shared ETWEventFunctions.inc file to enable event reporting
	\cond DEV
*/
#include "stdafx.h"

#pragma managed(off)

// evntprov.h contains inline definitions, hence why it's in the 
// pragma block. EventManifest.h has to come after it, 
// which explains why it's here too
#include <evntprov.h>
#include "EventManifest.h"

/** Required to be defined before the inclusion of ETWEventFunctions.inc
	Its the guid for the CLI wrapper event provider
*/
static REFGUID ETW_PROVIDER_GUID = ARCLITraceProvider;

#include "../ETWEventFunctions.inl"

/** \endcond */
