/** \file AudRecordCLI\main.cpp
	\brief Contains the entrypoint to the dll
	\cond DEV
*/
#include "stdafx.h"

MANAGED_PRAGMA(off)

// implementation of global in stdafx.h
HMODULE g_hModule;

/** Entrypoint to the dll, on attach it registers the ETW event provider
	and tears it down on process detach
*/
BOOL WINAPI DllMain(HMODULE hMod, DWORD dwReason, LPVOID)
{
	switch(dwReason)
	{
		case DLL_PROCESS_ATTACH:
		{
			g_hModule = hMod;
			RegisterEventProvider();
		}
		break;
		case DLL_PROCESS_DETACH:
		{
			UnregisterEventProvider();
		}
		break;
	}
	return TRUE;
}

/** \endcond */
